# ANGKA_YANG_DISEBUTKAN
## Deskripsi Soal
Konteks pengolahan data dan pemrogaman, terutama di bidang keuangan atau administrasi, terkadang kita membutuhkan sistem yang dapat mengubah kalimat penyebutan bilangan dalam Bahasa Indonesia menjadi angka Numerik. Fitur ini biasa dijumpai pada aplikasi pembuatan kuitansi, nota pembayaran, dan dokumen resmi lainnya. Sebagai contoh, jika terdapat angka 230000, maka akan dituliskan dalam dua ratus tiga puluh ribu. 

 Tujuan Program ini adalah untuk: 
1.	Mengonversi representasi tekstual dari bilangan dalam Bahasa Indinesia menjadi angka decimal atau numerik. 
2.	Memungkinkan integrasi ke sistem lain, seperti aplikasi kuitansi, laporan keuangan, atau aplikasi pembayaran.
3.	Memudahkan proses parsing dan analisis data yang bersumber dari input Bahasa alami.


## Strategi Penyelesaian
1.	Tokenisasi: karena input adalah satu string Panjang tanpa spasi ( enamratustigapuluhsatu ) kita perlu mencocokkan potongan kata yang mewakili angka dan satuan (seperti serratus, tiga, puluh, dll) menggunakan strategi greedy matching dari daftar kata kunci yang sudah kita kenal. 
2.	Parsing: setelah kata-kata dikenali, kita proses token-token tersebut untuk memahami strukturnya: satuan, puluhan, ratusan, ribuan, jutaan.
3.	Konversi: token-token tersebut diubah menjadi nilai numerik sesuai urutan dan aturannya dalam Bahasa Indonesia.
4.	Penanganan Kasus Khusus: seperti serratus, seribu, atau sepuluh yang merupakan bentuk khusus dari angka dasar. 



## Contoh Input dan Output
### Input 1:
dua ribu enam
### Output 1:
2006
